org.apache.cassandra.hadoop

## Class BulkRecordWriter.ExternalClient

- java.lang.Object
- - org.apache.cassandra.io.sstable.SSTableLoader.Client
  - - org.apache.cassandra.utils.NativeSSTableLoaderClient
    - - org.apache.cassandra.hadoop.BulkRecordWriter.ExternalClient

- Enclosing class:
    BulkRecordWriter

      public static class BulkRecordWriter.ExternalClient
      extends NativeSSTableLoaderClient

- - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.utils.NativeSSTableLoaderClient

      `tables`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExternalClient(org.apache.hadoop.conf.Configuration conf)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.cassandra.utils.NativeSSTableLoaderClient

      `getTableMetadata, init, setTableMetadata`

    - ### Methods inherited from class org.apache.cassandra.io.sstable.SSTableLoader.Client

      `addRangeForEndpoint, getConnectionFactory, getEndpointToRangesMap, getPartitioner, setPartitioner, setPartitioner, stop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExternalClient

          public ExternalClient(org.apache.hadoop.conf.Configuration conf)

Copyright © 2018 The Apache Software Foundation